/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZGrafState.cp		-- a simple object for saving and restoring grafport state
*
*
*			 1997, Graham Cox
*
*
*
*************************************************************************************************/

#include	"ZGrafState.h"

ZGrafState::ZGrafState()
{
	GetPort( &port );
	GetClip( clip = NewRgn());
	GetPenState( &pen );
	GetBackColor( &back );
	GetForeColor( &fore );
	
	font = port->txFont;
	fSize = port->txSize;
	fStyle = port->txFace;
	fMode = port->txMode;	
}



ZGrafState::~ZGrafState()
{
	SetPort( port );
	SetClip( clip );
	
	DisposeRgn( clip );
	
	SetPenState( &pen );
	RGBForeColor( &fore );
	RGBBackColor( &back );
	
	TextFont( font );
	TextSize( fSize );
	TextFace( fStyle );
	TextMode( fMode );
}
